%% colors.sty version 1.0
%% Package defining Aalto University color scheme
%% ---
%% Derived from aaltologo.sty by Marko Kosune, 2018.12.29
%%
%% Copyright:
%% Aalto University Marketing and Communications
%% visu(a)aaltouniversity.fi
%%
%% ---
%% LICENSE
%% The aaltologo package has been published under Creative Commons Attribution No-Derivative license
%% (http://creativecommons.org/licenses/by-nd/1.0/). This means that you can use the package freely in your own
%% documents, packages and classes but it also means that you cannot base your own Aalto University logo package upon
%% this package. Furthermore, if you want to write your own Aalto University logo package, you need to contact the Aalto
%% University Marketing and Communications before publishing your package.
%%
%% Authors notice: As I'm not deriving a new Aaltologo from the original, I do
%% not consider violating the license above
\NeedsTeXFormat{LaTeX2e}
\ProvidesPackage{aaltocolors}[2018/12/29 v1.0 Package defining Aalto
University colors]

% color for colors
\RequirePackage{color}
\RequirePackage[table]{xcolor}

%%% Font declarations
% Set the font encoding
\RequirePackage[T1]{fontenc}
% Set the serif font
\RequirePackage{newcent}
% Set the sans serif font
%\RequirePackage[scaled]{helvet}
% Sets the typewriter font
%\renewcommand*{\ttdefault}{txtt}

%%% Declare options for the color media
% RGB
\DeclareOption{RGB}{%
	% Basic colors
	\definecolor{aaltoBlack}{RGB}{0,0,0}%
	\definecolor{aaltoGray}{RGB}{140,133,123}%
	\definecolor{aaltoRed}{RGB}{239,51,64}%
	\definecolor{aaltoBlue}{RGB}{0,94,184}%
	\definecolor{aaltoYellow}{RGB}{255,205,0}%
	% Additional colors
	\definecolor{aaltoPurple}{RGB}{125,85,199}%
	\definecolor{aaltoMagenta}{RGB}{187,22,163}%
	\definecolor{aaltoGreen}{RGB}{0,150,94}%
	\definecolor{aaltoLightGreen}{RGB}{120,190,32}%
	\definecolor{aaltoOrange}{RGB}{255,121,0}%
	\definecolor{aaltoLightOrange}{RGB}{255,165,0}%
}
% Coated
\DeclareOption{Coated}{%
	% Basic colors
	\definecolor{aaltoBlack}{cmyk}{0,0,0,1}%
	\definecolor{aaltoGray}{cmyk}{0,0.06,0.1,0.53}%
	\definecolor{aaltoRed}{cmyk}{0,0.9,0.77,0}%
	\definecolor{aaltoBlue}{cmyk}{1.0,0.39,0,0}%
	\definecolor{aaltoYellow}{cmyk}{0,0.16,1.0,0}%
	% Additional colors
	\definecolor{aaltoPurple}{cmyk}{0.64,0.75,0,0}%
	\definecolor{aaltoMagenta}{cmyk}{0.27,0.9,0,0}%
	\definecolor{aaltoGreen}{cmyk}{0.92,0,0.78,0}%
	\definecolor{aaltoLightGreen}{cmyk}{0.53,0,1,0}%
	\definecolor{aaltoOrange}{cmyk}{0,0.64,1,0}%
	\definecolor{aaltoLightOrange}{cmyk}{0,0.35,1,0}%
}
% Uncoated
\DeclareOption{Uncoated}{%
	% Basic colors
	\definecolor{aaltoBlack}{cmyk}{0,0,0,1}%
	\definecolor{aaltoGray}{cmyk}{0,0.06,0.1,0.53}%
	\definecolor{aaltoRed}{cmyk}{0,0.9,0.77,0}%
	\definecolor{aaltoBlue}{cmyk}{1.0,0.39,0,0}%
	\definecolor{aaltoYellow}{cmyk}{0,0.16,1.0,0}%
	% Additional colors
	\definecolor{aaltoPurple}{cmyk}{0.64,0.75,0,0}%
	\definecolor{aaltoMagenta}{cmyk}{0.27,0.9,0,0}%
	\definecolor{aaltoGreen}{cmyk}{0.92,0,0.78,0}%
	\definecolor{aaltoLightGreen}{cmyk}{0.53,0,1,0}%
	\definecolor{aaltoOrange}{cmyk}{0,0.64,1,0}%
	\definecolor{aaltoLightOrange}{cmyk}{0,0.35,1,0}%
}

%% Default options
\ExecuteOptions{RGB}

%% Process options
\ProcessOptions*\relax

%%% Color definitions
% The gray scale gray
\definecolor{aaltoGrayScale}{gray}{0.45}%
% Basic colors in numerical system
\definecolor{aaltoColor0}{named}{aaltoGray}%
\definecolor{aaltoColor1}{named}{aaltoRed}%
\definecolor{aaltoColor2}{named}{aaltoBlue}%
\definecolor{aaltoColor3}{named}{aaltoYellow}%
% Applicable colors to use with the red logo, in clockwise
\definecolor{aaltoColor11}{named}{aaltoPurple}%
\definecolor{aaltoColor12}{named}{aaltoBlue}%
\definecolor{aaltoColor13}{named}{aaltoLightOrange}%
\definecolor{aaltoColor14}{named}{aaltoGreen}%
\definecolor{aaltoColor15}{named}{aaltoLightGreen}%
\definecolor{aaltoColor16}{named}{aaltoYellow}%
% Applicable colors to use with the blue logo, in clockwise
\definecolor{aaltoColor21}{named}{aaltoGreen}%
\definecolor{aaltoColor22}{named}{aaltoLightGreen}%
\definecolor{aaltoColor23}{named}{aaltoYellow}%
\definecolor{aaltoColor24}{named}{aaltoOrange}%
\definecolor{aaltoColor25}{named}{aaltoRed}%
\definecolor{aaltoColor26}{named}{aaltoMagenta}%
% Applicable colors to use with the yellow logo, in clockwise
\definecolor{aaltoColor31}{named}{aaltoRed}%
\definecolor{aaltoColor32}{named}{aaltoMagenta}%
\definecolor{aaltoColor33}{named}{aaltoPurple}%
\definecolor{aaltoColor34}{named}{aaltoBlue}%
\definecolor{aaltoColor35}{named}{aaltoLightOrange}%
\definecolor{aaltoColor36}{named}{aaltoGreen}%

%%% Color media change command.
%
% \AaltoLogoChangeColorMedia{media}
%
% Parameter media sets the new color media. Valid parameters are the color media options the package accepts.
% If the parameter is invalid, the color media is not changed
\DeclareRobustCommand{\AaltoLogoChangeColorMedia}[1][RGB]{
	% RGB
	\ifthenelse{\equal{#1}{RGB}}{%
		% Basic colors
		\definecolor{aaltoBlack}{RGB}{0,0,0}%
		\definecolor{aaltoGray}{RGB}{146,139,129}%
		\definecolor{aaltoRed}{RGB}{237,41,57}%
		\definecolor{aaltoBlue}{RGB}{0,101,189}%
		\definecolor{aaltoYellow}{RGB}{254,203,0}%
		% Additional colors
		\definecolor{aaltoPurple}{RGB}{102,57,183}%
		\definecolor{aaltoLightOrange}{RGB}{0,168,180}%
		\definecolor{aaltoGreen}{RGB}{0,155,58}%
		\definecolor{aaltoLightGreen}{RGB}{105,190,40}%
		\definecolor{aaltoOrange}{RGB}{255,121,0}%
		\definecolor{aaltoMagenta}{RGB}{177,5,157}%
	}{}%
	% Coated
	\ifthenelse{\equal{#1}{Coated}}{%
		% Basic colors
		\definecolor{aaltoBlack}{cmyk}{0,0,0,1}%
		\definecolor{aaltoGray}{cmyk}{0.18,0.22,0.26,0.49}%
		\definecolor{aaltoRed}{cmyk}{0,0.9,0.65,0}%
		\definecolor{aaltoBlue}{cmyk}{1.0,0.5,0,0}%
		\definecolor{aaltoYellow}{cmyk}{0,0.12,1.0,0}%
		% Additional colors
		\definecolor{aaltoPurple}{cmyk}{0.80,0.94,0,0}%
		\definecolor{aaltoLightOrange}{cmyk}{1,0,0.3,0}%
		\definecolor{aaltoGreen}{cmyk}{0.94,0,1,0}%
		\definecolor{aaltoLightGreen}{cmyk}{0.7,0,1,0}%
		\definecolor{aaltoOrange}{cmyk}{0,0.64,1,0}%
		\definecolor{aaltoMagenta}{cmyk}{0.37,0.95,0,0}%
	}{}%
	% Uncoated
	\ifthenelse{\equal{#1}{Uncoated}}{%
		% Basic colors
		\definecolor{aaltoBlack}{cmyk}{0,0,0,1}%
		\definecolor{aaltoGray}{cmyk}{0.11,0.11,0.13,0.36}%
		\definecolor{aaltoRed}{cmyk}{0,0.8,0.65,0}%
		\definecolor{aaltoBlue}{cmyk}{1.0,0.3,0,0}%
		\definecolor{aaltoYellow}{cmyk}{0,0.06,1.0,0}%
		% Additional colors
		\definecolor{aaltoPurple}{cmyk}{0.53,0.65,0,0}%
		\definecolor{aaltoLightOrange}{cmyk}{0.95,0,0.25,0}%
		\definecolor{aaltoGreen}{cmyk}{0.82,0,0.92,0}%
		\definecolor{aaltoLightGreen}{cmyk}{0.5,0,0.8,0}%
		\definecolor{aaltoOrange}{cmyk}{0,0.43,0.82,0}%
		\definecolor{aaltoMagenta}{cmyk}{0.22,0.72,0,0}%
	}{}%
	% Basic colors in numerical system
	\definecolor{aaltoColor0}{named}{aaltoGray}%
	\definecolor{aaltoColor1}{named}{aaltoRed}%
	\definecolor{aaltoColor2}{named}{aaltoBlue}%
	\definecolor{aaltoColor3}{named}{aaltoYellow}%
	% Applicable colors to use with the red logo, in clockwise
	\definecolor{aaltoColor11}{named}{aaltoPurple}%
	\definecolor{aaltoColor12}{named}{aaltoBlue}%
	\definecolor{aaltoColor13}{named}{aaltoLightOrange}%
	\definecolor{aaltoColor14}{named}{aaltoGreen}%
	\definecolor{aaltoColor15}{named}{aaltoLightGreen}%
	\definecolor{aaltoColor16}{named}{aaltoYellow}%
	% Applicable colors to use with the blue logo, in clockwise
	\definecolor{aaltoColor21}{named}{aaltoGreen}%
	\definecolor{aaltoColor22}{named}{aaltoLightGreen}%
	\definecolor{aaltoColor23}{named}{aaltoYellow}%
	\definecolor{aaltoColor24}{named}{aaltoOrange}%
	\definecolor{aaltoColor25}{named}{aaltoRed}%
	\definecolor{aaltoColor26}{named}{aaltoMagenta}%
	% Applicable colors to use with the yellow logo, in clockwise
	\definecolor{aaltoColor31}{named}{aaltoRed}%
	\definecolor{aaltoColor32}{named}{aaltoMagenta}%
	\definecolor{aaltoColor33}{named}{aaltoPurple}%
	\definecolor{aaltoColor34}{named}{aaltoBlue}%
	\definecolor{aaltoColor35}{named}{aaltoLightOrange}%
	\definecolor{aaltoColor36}{named}{aaltoGreen}%
}

